<template>
  <div class="step-frame">
    <div class="form-row">
      <div class="form-group__2x">
        <AppInput inputType="text" v-model="name"> Название задания: </AppInput>
      </div>

      <div class="form-group__1x">
        <AppInput inputType="date" v-model="deadline">
          Дата завершения:
        </AppInput>
      </div>
    </div>

    <div class="form-row">
      <AppTextArea v-model="details"> Описание задания: </AppTextArea>
    </div>
    <span class="gorizontal-separator"></span>
    <div class="form-row">
      <AppSelect v-model="status">
        <template #label> Статус задания: </template>
        <template #options>
          <option selected>Создание</option>
          <option>В процессе</option>
          <option v-if="this.$store.isEditStatus">Завершено</option>
        </template>
      </AppSelect>
    </div>
  </div>
</template>
<script>
import AppInput from "@/components/UI/AppInput.vue";
import AppTextArea from "@/components/UI/AppTextArea.vue";
import AppSelect from "@/components/UI/AppSelect.vue";
import store from "@/store";
export default {
  name: "TaskStep1",
  components: { AppSelect, AppTextArea, AppInput },
  data() {
    return {};
  },
  computed: {
    name: {
      get: () => store.state.taskDetails.name,
      set: (val) => store.commit("updateName", val),
    },
    deadline: {
      get: () => store.state.taskDetails.deadline,
      set: (val) => store.commit("updateDeadline", val),
    },
    details: {
      get: () => store.state.taskDetails.details,
      set: (val) => store.commit("updateDetails", val),
    },
    status: {
      get: () => store.state.taskDetails.status,
      set: (val) => store.commit("updateStatus", val),
    },
  },
  methods: {},
};
</script>
<style></style>
